package com.pqs9900.service.terminal;

import com.pqs9900.pojo.terminal.FtpDTO;
import com.pqs9900.pojo.terminal.TerminalDirectory;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface TerminalDirectoryService {

    /**
     * create by: xu yang
     * description: 获取终端目录
     * create time: 2021/8/16 13:26
     */
    FtpDTO getFileDirectory(Integer lineIndex, String path);

    void getFile(Integer lineIndex, String path,HttpServletResponse response,HttpServletRequest request);

    List<TerminalDirectory> getServerContent();

    boolean uploadFileToServer(MultipartFile file,HttpServletRequest request, HttpServletResponse response);

    boolean uploadWiringDiagram(MultipartFile file,HttpServletRequest request, HttpServletResponse response,Integer lineId);


}
